# Interface JMEUtil.RunWhenDataReadyCallback

Enclosing class:
  `JMEUtil`

public static interface JMEUtil.RunWhenDataReadyCallback

## Method Summary

Modifier and Type
Method
Description
`void`
`onFailure(Throwable reason)`
Called when, for some reason, the necessary code cannot be loaded.
`void`
`onSuccess(String data)`
Called once the necessary code for it has been loaded.
`void`
`onWarning(String message)`

## Method Details

### onFailure

void onFailure(Throwable reason)
Called when, for some reason, the necessary code cannot be loaded. For example, the web browser might no longer have network access.

### onSuccess

void onSuccess(String data)
Called once the necessary code for it has been loaded.

### onWarning

void onWarning(String message)